API Reference
=============

Classes
-------

.. autoclass:: Gnosis
  :members:

Methods
-------

.. autofunction:: calcLMSRCost

.. autofunction:: calcLMSRMarginalPrice

.. autofunction:: calcLMSROutcomeTokenCount

.. autofunction:: calcLMSRProfit

.. autofunction:: create

.. autofunction:: requireEventFromTXResult

.. autofunction:: buyOutcomeTokens

.. autofunction:: createCategoricalEvent

.. autofunction:: createCentralizedOracle

.. autofunction:: createMarket

.. autofunction:: createScalarEvent

.. autofunction:: createUltimateOracle

.. autofunction:: loadEventDescription

.. autofunction:: publishEventDescription

.. autofunction:: resolveEvent

.. autofunction:: sellOutcomeTokens

.. autofunction:: setWeb3Provider